Summary:	XCB support library
Summary(pl.UTF-8):	Biblioteka wspomagająca XCB
Name:		xcb-util
Version:	0.4.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
# Source0-md5:	34d749eab0fd0ffd519ac64798d79847
URL:		https://xcb.freedesktop.org/XcbUtil/
BuildRequires:	libxcb-devel >= 1.4
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xcb-proto >= 1.6
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

XCB util module provides the following library:
- aux: Convenient access to connection setup and some core requests.
- atom: Standard core X atom constants and atom caching.
- event: Callback X event handling.

%description -l pl.UTF-8
xcb-util udostępnia wiele bibliotek opartych powyżej libxcb (głównej
biblioteki protokołu X) oraz trochę bibliotek rozszerzeń. Te
eksperymentalne biblioteki udostępniają wygodne funkcje i interfejsy
czyniące surowy protokół X bardziej używalnym. Niektóre biblioteki
udostępniają także kod kliencki nie będący ściśle częścią protokołu X,
ale tradycyjnie dostarczany przez Xlib.

Moduł XCB util udostępnia następujące biblioteki:
- aux: wygodny dostęp do konfiguracji połączenia i niektórych głównych
  żądań.
- atom: standardowe stałe atomowe X i buforowanie atomowe.
- event: obsługa wywołań zwrotnych dla zdarzeń X.

%package devel
Summary:	Header files for XCB util library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.4

%description devel
Header files for XCB util library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB util.

%package static
Summary:	Static XCB util library
Summary(pl.UTF-8):	Statyczna biblioteka XCB util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB util library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB util.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libxcb-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-util.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxcb-util.so
%{_libdir}/libxcb-util.la
%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_util.h
%{_pkgconfigdir}/xcb-atom.pc
%{_pkgconfigdir}/xcb-aux.pc
%{_pkgconfigdir}/xcb-event.pc
%{_pkgconfigdir}/xcb-util.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb-util.a
%changelog
* Thu Dec 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xcb-util.git;a=log;h=master

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 552c8c3
- updated to 0.4.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2d16210
- x32 rebuild
- release 2 (by relup.sh)

* Thu Oct 16 2014 Jakub Bogusz <qboosh@pld-linux.org> fe269b6
- updated to 0.4.0

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> a119225
- updated to 0.3.9 (note: new soname)

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 111c327
- more specific URL

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 2e0bf98
- updated to 0.3.8
- icccm,image,keysyms,render-util libs have been moved to separate repos (specs pending)
- atom,aux,event consolidated in new single libxcb-util library

* Mon Dec 07 2009 sparky <sparky@pld-linux.org> c1170e6
- BR: m4

* Mon Dec 07 2009 Jakub Bogusz <qboosh@pld-linux.org> 3844b65
- release 2

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 0089d5c
- updated BRs (libxcb and xproto versions)

* Tue Aug 25 2009 Zsolt Udvari <uzsolt@pld-linux.org> 8b1aa8c
- 0.3.6
- stbr plese (needed by awesome)

* Fri May 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 57ce81f
- up to 0.3.5

* Tue May 26 2009 pawelz <pawelz@pld-linux.org> 0a9bca5
- up to 0.3.4
- libxcb-keysyms SONAME was changed to .1
- libxcb-wm disappeared (?)

* Sat Jan 31 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b4686d7
- up to 0.3.3

* Tue Dec 16 2008 deejay1 <deejay1@pld-linux.org> 23ac222
- up to 0.3.2

* Thu Nov 20 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a0bb44f
- up to 0.3.1

* Thu Sep 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 0e27cc9
- updated to 0.3.0 (note: some sonames changed)

* Fri Aug 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 6f339a7
- more verbose lib files, ghost soname symlinks

* Fri Aug 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fe9fcb3
- up to 0.2.1

* Thu Mar 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 23b9b7c
- pl
- /usr/include/xcb dir belongs to libxcb

* Wed Mar 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c4fff95
- initial pld release

